import type { StateParams, StateService, UIRouter } from '@uirouter/core';
import type { IQService, IScope } from 'angular';
import type { CacheInitializerService } from '../cache/cacheInitializer.service';
import type { ProviderServiceDelegate } from '../cloudProvider/providerService.delegate';
import type { ClusterService } from '../cluster/cluster.service';
import type { ImageReader } from '../image/image.reader';
import type { InsightFilterStateModel } from '../insight/insightFilterState.model';
import type { InstanceTypeService, InstanceWriter } from '../instance';
import type { OverrideRegistry } from '../overrideRegistry/override.registry';
import type { PageTitleService } from '../pageTitle';
import type { ManualJudgmentService } from '../pipeline/config/stages/manualJudgment/manualJudgment.service';
import type { ExecutionDetailsSectionService } from '../pipeline/details/executionDetailsSection.service';
import type { ExecutionService } from '../pipeline/service/execution.service';
import type { InfrastructureSearchService } from '../search/infrastructure/infrastructureSearch.service';
import type { SecurityGroupReader } from '../securityGroup/securityGroupReader.service';
import type { ServerGroupWriter } from '../serverGroup/serverGroupWriter.service';
import type { StateEvents } from './state.events';
import IInjectorService = angular.auto.IInjectorService;
export declare abstract class ReactInject {
    protected $injector: IInjectorService;
    abstract initialize($injector: IInjectorService): void;
}
export declare class CoreReactInject extends ReactInject {
    private wrappedState;
    get $state(): StateService;
    get $q(): IQService;
    get $rootScope(): IScope;
    get $stateParams(): StateParams;
    get $uiRouter(): UIRouter;
    get cacheInitializer(): CacheInitializerService;
    get clusterService(): ClusterService;
    get executionDetailsSectionService(): ExecutionDetailsSectionService;
    get executionService(): ExecutionService;
    get imageReader(): ImageReader;
    get infrastructureSearchService(): InfrastructureSearchService;
    get insightFilterStateModel(): InsightFilterStateModel;
    get instanceTypeService(): InstanceTypeService;
    get instanceWriter(): InstanceWriter;
    get manualJudgmentService(): ManualJudgmentService;
    get overrideRegistry(): OverrideRegistry;
    get pageTitleService(): PageTitleService;
    get providerServiceDelegate(): ProviderServiceDelegate;
    get securityGroupReader(): SecurityGroupReader;
    get serverGroupWriter(): ServerGroupWriter;
    get stateEvents(): StateEvents;
    private createStateService;
    initialize($injector: IInjectorService): void;
}
export declare const ReactInjector: CoreReactInject;
